A valid request URL is required to generate request examples{
"adminName": "<string>",
"documentTypeFQN": "<string>",
"installationPackage": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"namespace": "<string>",
"properties": [
{
"isMultiValued": true,
"isRequired": true,
"name": "<string>",
"propertyType": {
"adminName": "<string>",
"dataType": "<string>",
"installationPackage": "<string>",
"isAggregatable": true,
"isQueryable": true,
"isSortable": true,
"name": "<string>",
"namespace": "<string>",
"propertyTypeFQN": "<string>",
"version": "<string>"
}
}
],
"version": "<string>"
}Get Document Type
A valid request URL is required to generate request examples{
"adminName": "<string>",
"documentTypeFQN": "<string>",
"installationPackage": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"namespace": "<string>",
"properties": [
{
"isMultiValued": true,
"isRequired": true,
"name": "<string>",
"propertyType": {
"adminName": "<string>",
"dataType": "<string>",
"installationPackage": "<string>",
"isAggregatable": true,
"isQueryable": true,
"isSortable": true,
"name": "<string>",
"namespace": "<string>",
"propertyTypeFQN": "<string>",
"version": "<string>"
}
}
],
"version": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT Authorization header using the Bearer scheme.
limits which fields are returned in the response body
Success
The schema a document must implement and associated metadata. A documentType is created at a tenant scope and is therefore shared amongst all child contexts (masterCatalog, catalog, site).
The administrative name of the documentType.
The unique identifier of the documentType, represented by name@namespace. The documentTypeFQN must be provided when creating the documentType, or the name and namespace fields must be provided.
Optionally, a documentType can be defined in an installationPackage and then installed into a tenant. Installed documentTypes can only be updated via installation upgrades. Currently only internal Mozu platform components can create installations. This field is system-supplied and read-only.
Allows arbitrary data to be stored on the documentType.
The name component of the documentType, name@namespace. The name must be unique within the namespace component and cannot be updated.
The namespace component of the documentType, name@namespace. The issued dev account namespace must be used unless elevated privileges allow a blank namespace to be used. The namespace cannot be updated.
An array of the schema elements that a document implementing this documentType will have.
Show child attributes
The version of the installationPackge installed. This field is read-only.